<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstFilePosition Method (IEdmLabel5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmLabel5 Interface : GetFirstFilePosition Method (IEdmLabel5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the files set with this label.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstFilePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstFilePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstFilePosition();

#### Return Value

IEdmPos5; position of the first file set with this label

# Remarks

After calling this method, pass the returned first file position to IEdmLabel5::GetNextFile or IEdmLabel5::GetNextFileID to get the first file in the list of files set with this label. Then call IEdmLabel5::GetNextFile or IEdmLabel5::GetNextFileID repeatedly to get the rest of the files set with this label.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmLabel5 Interface
IEdmLabel5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2